%define upstream_name    Net-Async-HTTP
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    HTTP client protocol handler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Future) >= 0.280.0
BuildRequires: perl(Future::Utils) >= 0.160.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Async::Loop) >= 0.590.0
BuildRequires: perl(IO::Async::Stream) >= 0.590.0
BuildRequires: perl(IO::Async::Test)
BuildRequires: perl(IO::Async::Timer::Countdown)
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Metrics::Any) >= 0.50.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Socket) >= 2.10.0
BuildRequires: perl(Struct::Dumb) >= 0.70.0
BuildRequires: perl(Test2::V0) >= 0.0.147
BuildRequires: perl(Test::Metrics::Any)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This object class implements an asynchronous HTTP user agent. It sends
requests to servers, returning the Future manpage instances to yield
responses when they are received. The object supports multiple concurrent
connections to servers, and allows multiple requests in the pipeline to any
one connection. Normally, only one such object will be needed per program
to support any number of requests.

As well as using futures the module also supports a callback-based
interface.

This module optionally supports SSL connections, if the IO::Async::SSL
manpage is installed. If so, SSL can be requested either by passing a URI
with the 'https' scheme, or by passing a true value as the 'SSL' parameter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.500.0-2.mga10
+ Revision: 2234686
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.500.0-1.mga10
+ Revision: 2141843
- update to 0.50

* Wed Aug 30 2023 tv <tv> 0.490.0-1.mga10
+ Revision: 1981920
- update to 0.49

* Mon Mar 28 2022 umeabot <umeabot> 0.480.0-2.mga9
+ Revision: 1830456
- Mageia 9 Mass Rebuild

* Tue Mar 09 2021 tv <tv> 0.480.0-1.mga9
+ Revision: 1700807
- update to 0.48

* Thu May 14 2020 tv <tv> 0.470.0-1.mga8
+ Revision: 1583663
- update to 0.47

* Tue May 12 2020 shlomif <shlomif> 0.460.0-1.mga8
+ Revision: 1583355
- New version 0.46 by cheese-e-boi

* Tue Feb 18 2020 umeabot <umeabot> 0.450.0-2.mga8
+ Revision: 1538900
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 tv <tv> 0.450.0-1.mga8
+ Revision: 1463293
- update to 0.45

* Sun Feb 17 2019 tv <tv> 0.440.0-1.mga7
+ Revision: 1368047
- update to 0.44

* Sun Nov 18 2018 tv <tv> 0.430.0-1.mga7
+ Revision: 1330619
- update to 0.43

* Thu Sep 20 2018 umeabot <umeabot> 0.420.0-2.mga7
+ Revision: 1285113
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 tv <tv> 0.420.0-1.mga7
+ Revision: 1216827
- fix build using Build
+ kekepower <kekepower>
- Update to version 0.42

* Tue Oct 03 2017 tv <tv> 0.410.0-2.mga7
+ Revision: 1165836
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.410.0-1.mga7
+ Revision: 1157160
- new version 0.41

* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-3.mga6
+ Revision: 1030956
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.400.0-2.mga6
+ Revision: 969005
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 0.400.0-1.mga6
+ Revision: 858554
- update to 0.40

* Tue Jul 14 2015 sander85 <sander85> 0.390.0-1.mga6
+ Revision: 854029
- update to 0.39

* Sun Jul 05 2015 sander85 <sander85> 0.380.0-1.mga6
+ Revision: 850981
- update to 0.38

* Wed Oct 15 2014 umeabot <umeabot> 0.350.0-3.mga5
+ Revision: 745498
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.350.0-2.mga5
+ Revision: 685624
- Mageia 5 Mass Rebuild

* Mon May 12 2014 shlomif <shlomif> 0.350.0-1.mga5
+ Revision: 622182
- imported package perl-Net-Async-HTTP


* Mon May 12 2014 cpan2dist 0.35-1mga
- initial mageia release, generated with cpan2dist
